Bug 1294968 - [abrt] xorg-x11-server-Xorg: __fdelt_chk(): Xorg killed by SIGABRT
[abrt] xorg-x11-server-Xorg: __fdelt_chk(): Xorg killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b6da1a35af679513e68044a5e16...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-31 05:56 EST by Florian Ludwig
Modified: 2016-12-20 12:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:30:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (13.44 KB, text/plain)
2015-12-31 05:56 EST, Florian Ludwig
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-31 05:56 EST, Florian Ludwig
no flags Details
File: core_backtrace (4.06 KB, text/plain)
2015-12-31 05:56 EST, Florian Ludwig
no flags Details
File: dso_list (5.59 KB, text/plain)
2015-12-31 05:56 EST, Florian Ludwig
no flags Details
File: environ (413 bytes, text/plain)
2015-12-31 05:56 EST, Florian Ludwig
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-31 05:56 EST, Florian Ludwig
no flags Details
File: maps (79.39 KB, text/plain)
2015-12-31 05:56 EST, Florian Ludwig
no flags Details
File: mountinfo (3.74 KB, text/plain)
2015-12-31 05:56 EST, Florian Ludwig
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-31 05:56 EST, Florian Ludwig
no flags Details
File: open_fds (1.93 KB, text/plain)
2015-12-31 05:56 EST, Florian Ludwig
no flags Details
File: proc_pid_status (1017 bytes, text/plain)
2015-12-31 05:57 EST, Florian Ludwig
no flags Details
File: var_log_messages (294 bytes, text/plain)
2015-12-31 05:57 EST, Florian Ludwig
no flags Details

  None (edit)
Description Florian Ludwig 2015-12-31 05:56:42 EST
Version-Release number of selected component:
xorg-x11-server-Xorg-1.18.0-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/Xorg vt2 -displayfd 3 -auth /run/user/1000/gdm/Xauthority -nolisten tcp -background none -noreset -keeptty -verbose 3
crash_function: __fdelt_chk
executable:     /usr/libexec/Xorg
global_pid:     4466
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 __fdelt_chk at fdelt_chk.c:25
 #6 AddEnabledDevice at connection.c:1074
 #7 xf86AddEnabledDevice at xf86Events.c:316
 #8 wcmDevProc at ../src/xf86Wacom.c:852
 #9 EnableDevice at devices.c:400
 #10 DeviceSetProperty at devices.c:163
 #11 XIChangeDeviceProperty at xiproperty.c:770
 #12 change_property at xiproperty.c:353
 #13 ProcXIChangeProperty at xiproperty.c:1147
 #14 Dispatch at dispatch.c:430
Comment 1 Florian Ludwig 2015-12-31 05:56:46 EST
Created attachment 1110728 [details]
File: backtrace
Comment 2 Florian Ludwig 2015-12-31 05:56:48 EST
Created attachment 1110729 [details]
File: cgroup
Comment 3 Florian Ludwig 2015-12-31 05:56:49 EST
Created attachment 1110730 [details]
File: core_backtrace
Comment 4 Florian Ludwig 2015-12-31 05:56:50 EST
Created attachment 1110731 [details]
File: dso_list
Comment 5 Florian Ludwig 2015-12-31 05:56:51 EST
Created attachment 1110732 [details]
File: environ
Comment 6 Florian Ludwig 2015-12-31 05:56:53 EST
Created attachment 1110733 [details]
File: limits
Comment 7 Florian Ludwig 2015-12-31 05:56:55 EST
Created attachment 1110734 [details]
File: maps
Comment 8 Florian Ludwig 2015-12-31 05:56:56 EST
Created attachment 1110735 [details]
File: mountinfo
Comment 9 Florian Ludwig 2015-12-31 05:56:57 EST
Created attachment 1110736 [details]
File: namespaces
Comment 10 Florian Ludwig 2015-12-31 05:56:59 EST
Created attachment 1110737 [details]
File: open_fds
Comment 11 Florian Ludwig 2015-12-31 05:57:00 EST
Created attachment 1110738 [details]
File: proc_pid_status
Comment 12 Florian Ludwig 2015-12-31 05:57:01 EST
Created attachment 1110739 [details]
File: var_log_messages
Comment 13 Samuel Sieb 2016-03-24 17:23:35 EDT
Similar problem has been detected:

Locking the screen in gnome-shell.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/Xorg vt2 -displayfd 3 -auth /run/user/1000/gdm/Xauthority -nolisten tcp -background none -noreset -keeptty -verbose 3
crash_function: __fdelt_chk
executable:     /usr/libexec/Xorg
global_pid:     1593
kernel:         4.4.6-300.fc23.x86_64
package:        xorg-x11-server-Xorg-1.18.2-2.fc23
reason:         Xorg killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Fedora End Of Life 2016-11-24 09:37:18 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 12:30:40 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.